<?php

elgg_register_event_handler('shutdown', 'system', 'mfp_avatarrestore');

function mfp_avatarrestore() {
	$icontime = time();
	elgg_set_plugin_setting('icontime', $icontime, 'mfp_local');
	$dbprefix = elgg_get_config('dbprefix');
	$name_id = elgg_get_metastring_id('icontime');
	$options = array(
		'type' => 'user',
		'wheres' => array(
			"NOT EXISTS (
				SELECT 1 FROM {$dbprefix}metadata md
				WHERE md.entity_guid = e.guid
					AND md.name_id = $name_id)"
		),
		'limit' => false
	);
	

	$batch = new ElggBatch('elgg_get_entities', $options);
	
	$count = 0;
	$fixed = 0;
	foreach ($batch as $user) {
		$count++;
		$filehandler = new ElggFile();
		$filehandler->owner_guid = $user->guid;
		$filehandler->setFilename("profile/{$user->guid}master.jpg");
		
		if (file_exists($filehandler->getFilenameOnFilestore())) {
			error_log('setting icontime for user: ' . $user->username);
			$user->icontime = $icontime;
			$fixed++;
			
			elgg_set_plugin_setting('fixed'.$icontime, $fixed, 'mfp_local');
		}
		elgg_set_plugin_setting('count'.$icontime, $count, 'mfp_local');
	}
	
	elgg_set_plugin_setting('finished'.$icontime, 1, 'mfp_local');
}


system_message('Avatar restoration is working in the background');

forward(REFERER);