<?php
/**
 * Logged in index view
 */

$options = array(
	'type' => 'user',
	'metadata_names' => 'icontime',
	'order_by' => 'e.time_updated desc',
	'full_view' => false,
	'limit' => 12,
	'list_type' => 'gallery',
	'list_type_toggle' => false,
	'pagination' => false,
	'item_class' => 'pas',
	'size' => 'small'
);

// newest
$entities = elgg_list_entities_from_metadata($options);
$recent_members = elgg_view_module('aside', 'Recently Active Members', $entities);

// over 18 notice
$text = "No one under the age of eighteen is allowed to use this free personals site.
	<a href=\"http://www.yahoo.com\">Click here</a> if you are under eighteen.<br />
	
	Please be careful of <a href=\"http://www.romancescam.com\">romance scam</a> artists. Don't give strangers money or personal info like your email address.";

$msg = elgg_view_module('aside', '100% Free and Always Will Be', $text);

$newest_entities = elgg_list_entities_from_metadata(array(
	'metadata_names' => 'icontime',
	'types' => 'user',
	'limit' => 12,
	'full_view' => false,
	'list_type' => 'gallery',
	'list_type_toggle' => false,
	'pagination' => false,
	'item_class' => 'pas',
	'size' => 'small'
));

$newest_members = elgg_view_module('aside', 'Newest Members', $newest_entities);

$search_fields = array(
	'gender',
	'seeking_gender',
	'match_minimum_age',
	'match_maximum_age',
	'seeking_relationship',
//	'state_nation',
	'sort'
);

$user = elgg_get_logged_in_user_entity();
if ($user) {
	$search_defaults = array();
	foreach ($search_fields as $name) {
		$value = $user->$name;
		if (!$value || empty($value)) {
			$value = null;
		}
		$search_defaults[$name] = $value;
	}
}

$search = elgg_view_module('aside', 'Search Profiles', elgg_view_form('mfp_search/search',
	array(
		'action' => '/search',
		'method' => 'get'
	), 
	array(
		'defaults' => $search_defaults
	)
));

$url = elgg_get_site_url();

$params = array(
	'method' => 'get',
	'action' => elgg_get_site_url() . 'members/search/name',
	'disable_security' => true,
);
$sidecar = elgg_view_form('members/name_search', $params);
$sidebar = elgg_view_module('aside', elgg_echo('members:searchname'), $sidecar);

$value = get_input('q');
// @todo - create function for sanitization of strings for display in 1.8
// encode <,>,&, quotes and characters above 127
if (function_exists('mb_convert_encoding')) {
	$display_query = mb_convert_encoding($value, 'HTML-ENTITIES', 'UTF-8');
} else {
	// if no mbstring extension, we just strip characters
	$display_query = preg_replace("/[^\x01-\x7F]/", "", $value);
}
$display_query = htmlspecialchars($display_query, ENT_QUOTES, 'UTF-8', false);

$searchbody = <<<___HTML
<form action="{$url}search" method="get">
	<fieldset>
		<input type="text" size="21" name="q" value="$display_query" class="elgg-input-text mbm" />
		<input type="hidden" name="search_type" value="all" />
		<input type="submit" value="Full Search" class="elgg-button elgg-button-submit" />
	</fieldset>
</form>
___HTML;

$body = <<<___END
<div class="elgg-grid">
	<div class="elgg-col elgg-col-1of3">$search</div>
	<div class="elgg-col elgg-col-2of3">$newest_members $recent_members</div>
	<div class="elgg-col">$msg</div>
</div>
___END;


$content = elgg_view_layout('one_sidebar', array(
	'content' => $body,
	'sidebar' => elgg_view('members/sidebar'),
));

echo elgg_view_page(null, $content);
